/*
 * Created on 08.05.2005
 *
 */
package BendpointStuff;


/**
 * @author jan
 * Deletes a bendpoint 
 */
public class DeleteBendpointCommand extends BendpointCommand {
	  private VOCLBendpoint bendpoint;

	  public void execute() {
		bendpoint = (VOCLBendpoint)getConnectionModel().getBendpointAt(getIndex());
		getConnectionModel().removeBendpointAt(getIndex());
		super.execute();
	  }

	  public void undo() {
		super.undo();
		getConnectionModel().insertBendpoint(getIndex(), bendpoint);
	  }
}
