/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.Condition;
import VOCLModel.NavExp;
import vocleditor.commands.*;

/**
 * @author manaljav
 * EditPolicy for the condition.
 */
public class ConditionComponentEditPolicy extends ComponentEditPolicy {

		/**
		 * Constructs a new AttributeComponentEditPolicy
		 */
		public ConditionComponentEditPolicy() {
			super();
		}

		protected Command createDeleteCommand(GroupRequest deleteRequest) {
			NavExp parent = (NavExp) getHost().getParent().getModel();
			if( getHost().getModel() instanceof Condition ) {
				DeleteConditionCommand deleteCmd = new DeleteConditionCommand();
				deleteCmd.setParent(parent);
				deleteCmd.setCondition((Condition) getHost().getModel());
				return deleteCmd;
			}
			return null;
		}
}
