/*
 * Created on 08.05.2005
 *
 */
package BendpointStuff;

import BendpointStuff.VOCLBendpoint;

/**
 * @author jan
 *
 * Creates a new Bendpoint
 * 
 */
public class CreateBendpointCommand extends BendpointCommand {
	  public void execute() {
	  	VOCLBendpoint pnt = new VOCLBendpoint();
	  	pnt.setRelativeDimensions(getFirstRelativeDimension(), 
				getSecondRelativeDimension());
	  	getConnectionModel().insertBendpoint(getIndex(), pnt);
	  	super.execute();
	  }
	  
	  public void undo() {
		super.undo();
		getConnectionModel().removeBendpointAt(getIndex());
	  }
}
