/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.commands;

import java.util.List;
import java.util.Vector;

import vocleditor.model.VOCLTools;

import VOCLModel.*;

/**
 * Command for deleting a constraint.
 * @author bjoern
 */
public class DeleteBoolExpCommand extends DeleteExpCommand{
	
	/**
	 * Creates a new DeleteConstraintCommand.
	 * 
	 * @param boolexp The {@link BoolExp} to be deleted
	 */
	public DeleteBoolExpCommand( BoolExp boolexp ){
		setLabel("delete boolean expression");
		List classifiers = VOCLTools.getAllClassifiers( (NavExp) boolexp.getOp1(), new Vector() );
		VOCLTools.getAllClassifiers( (NavExp) boolexp.getOp2(), classifiers );
		init( boolexp, classifiers );
	}
}
