/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.LetExp;
import vocleditor.commands.DeleteLetExpCommand;

/**
 * EditPolicy for the condition.
 * @author bjoern
 */
public class LetExpComponentEditPolicy extends ComponentEditPolicy 
{
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		LetExp letexp = (LetExp) getHost().getModel();		
		DeleteLetExpCommand deleteCmd = new DeleteLetExpCommand( letexp );
		return deleteCmd;
	}
}
