/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ConnectionEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.AssociationRole;
import vocleditor.commands.DeleteAssociationRoleCommand;

/**
 * Edit policy for an ArcPT.
 */
public class VOCLAssociationRoleEditPolicy extends ConnectionEditPolicy {

	/**
	 * super
	 */
	public VOCLAssociationRoleEditPolicy() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.editpolicies.ConnectionEditPolicy#getDeleteCommand(org.eclipse.gef.requests.GroupRequest)
	 */
	protected Command getDeleteCommand(GroupRequest request) {
		DeleteAssociationRoleCommand c= new DeleteAssociationRoleCommand();
		c.setAssociationRole((AssociationRole)getHost().getModel());
		return c;
	}

}
