/**
 * <copyright>
 * </copyright>
 *
 * $Id: AssociationRoleImpl.java,v 1.22 2005/07/07 08:31:03 bjoernt Exp $
 */
package VOCLModel.impl;

import VOCLModel.AssociationRole;
import VOCLModel.ClassifierRole;
import VOCLModel.Label;
import VOCLModel.NavExp;
import VOCLModel.VOCLModelPackage;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EDataTypeEList;
import org.eclipse.emf.ecore.util.EcoreUtil;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Association Role</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getAssociationTarget <em>Association Target</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getAssociationSource <em>Association Source</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getBendpointsFirstWidthList <em>Bendpoints First Width List</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getBendpointsFirstHeightList <em>Bendpoints First Height List</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getBendpointsSecondHeightList <em>Bendpoints Second Height List</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getBendpointsSecondWidthList <em>Bendpoints Second Width List</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getRoutingType <em>Routing Type</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getSourceAnchorAt <em>Source Anchor At</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getTargetAnchorAt <em>Target Anchor At</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getNavExp <em>Nav Exp</em>}</li>
 *   <li>{@link VOCLModel.impl.AssociationRoleImpl#getLabelDecoration <em>Label Decoration</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class AssociationRoleImpl extends ModelElementImpl implements AssociationRole {
  /**
   * The cached value of the '{@link #getAssociationTarget() <em>Association Target</em>}' reference.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getAssociationTarget()
   * @generated
   * @ordered
   */
	protected ClassifierRole associationTarget = null;

  /**
   * The cached value of the '{@link #getAssociationSource() <em>Association Source</em>}' reference.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getAssociationSource()
   * @generated
   * @ordered
   */
	protected ClassifierRole associationSource = null;

  /**
   * The cached value of the '{@link #getBendpointsFirstWidthList() <em>Bendpoints First Width List</em>}' attribute list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getBendpointsFirstWidthList()
   * @generated
   * @ordered
   */
	protected EList bendpointsFirstWidthList = null;

  /**
   * The cached value of the '{@link #getBendpointsFirstHeightList() <em>Bendpoints First Height List</em>}' attribute list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getBendpointsFirstHeightList()
   * @generated
   * @ordered
   */
	protected EList bendpointsFirstHeightList = null;

  /**
   * The cached value of the '{@link #getBendpointsSecondHeightList() <em>Bendpoints Second Height List</em>}' attribute list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getBendpointsSecondHeightList()
   * @generated
   * @ordered
   */
	protected EList bendpointsSecondHeightList = null;

  /**
   * The cached value of the '{@link #getBendpointsSecondWidthList() <em>Bendpoints Second Width List</em>}' attribute list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getBendpointsSecondWidthList()
   * @generated
   * @ordered
   */
	protected EList bendpointsSecondWidthList = null;

  /**
   * The default value of the '{@link #getRoutingType() <em>Routing Type</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getRoutingType()
   * @generated
   * @ordered
   */
	protected static final byte ROUTING_TYPE_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getRoutingType() <em>Routing Type</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getRoutingType()
   * @generated
   * @ordered
   */
	protected byte routingType = ROUTING_TYPE_EDEFAULT;

  /**
   * The default value of the '{@link #getSourceAnchorAt() <em>Source Anchor At</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getSourceAnchorAt()
   * @generated
   * @ordered
   */
	protected static final int SOURCE_ANCHOR_AT_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getSourceAnchorAt() <em>Source Anchor At</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getSourceAnchorAt()
   * @generated
   * @ordered
   */
	protected int sourceAnchorAt = SOURCE_ANCHOR_AT_EDEFAULT;

  /**
   * The default value of the '{@link #getTargetAnchorAt() <em>Target Anchor At</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getTargetAnchorAt()
   * @generated
   * @ordered
   */
	protected static final int TARGET_ANCHOR_AT_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getTargetAnchorAt() <em>Target Anchor At</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getTargetAnchorAt()
   * @generated
   * @ordered
   */
	protected int targetAnchorAt = TARGET_ANCHOR_AT_EDEFAULT;

  /**
   * The cached value of the '{@link #getLabelDecoration() <em>Label Decoration</em>}' containment reference.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getLabelDecoration()
   * @generated
   * @ordered
   */
	protected Label labelDecoration = null;

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	protected AssociationRoleImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	protected EClass eStaticClass()
  {
    return VOCLModelPackage.eINSTANCE.getAssociationRole();
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public ClassifierRole getAssociationTarget()
  {
    if (associationTarget != null && associationTarget.eIsProxy())
    {
      ClassifierRole oldAssociationTarget = associationTarget;
      associationTarget = (ClassifierRole)eResolveProxy((InternalEObject)associationTarget);
      if (associationTarget != oldAssociationTarget)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET, oldAssociationTarget, associationTarget));
      }
    }
    return associationTarget;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public ClassifierRole basicGetAssociationTarget()
  {
    return associationTarget;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetAssociationTarget(ClassifierRole newAssociationTarget, NotificationChain msgs)
  {
    ClassifierRole oldAssociationTarget = associationTarget;
    associationTarget = newAssociationTarget;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET, oldAssociationTarget, newAssociationTarget);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setAssociationTarget(ClassifierRole newAssociationTarget)
  {
    if (newAssociationTarget != associationTarget)
    {
      NotificationChain msgs = null;
      if (associationTarget != null)
        msgs = ((InternalEObject)associationTarget).eInverseRemove(this, VOCLModelPackage.CLASSIFIER_ROLE__SOURCE, ClassifierRole.class, msgs);
      if (newAssociationTarget != null)
        msgs = ((InternalEObject)newAssociationTarget).eInverseAdd(this, VOCLModelPackage.CLASSIFIER_ROLE__SOURCE, ClassifierRole.class, msgs);
      msgs = basicSetAssociationTarget(newAssociationTarget, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET, newAssociationTarget, newAssociationTarget));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public ClassifierRole getAssociationSource()
  {
    if (associationSource != null && associationSource.eIsProxy())
    {
      ClassifierRole oldAssociationSource = associationSource;
      associationSource = (ClassifierRole)eResolveProxy((InternalEObject)associationSource);
      if (associationSource != oldAssociationSource)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE, oldAssociationSource, associationSource));
      }
    }
    return associationSource;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public ClassifierRole basicGetAssociationSource()
  {
    return associationSource;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetAssociationSource(ClassifierRole newAssociationSource, NotificationChain msgs)
  {
    ClassifierRole oldAssociationSource = associationSource;
    associationSource = newAssociationSource;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE, oldAssociationSource, newAssociationSource);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setAssociationSource(ClassifierRole newAssociationSource)
  {
    if (newAssociationSource != associationSource)
    {
      NotificationChain msgs = null;
      if (associationSource != null)
        msgs = ((InternalEObject)associationSource).eInverseRemove(this, VOCLModelPackage.CLASSIFIER_ROLE__TARGET, ClassifierRole.class, msgs);
      if (newAssociationSource != null)
        msgs = ((InternalEObject)newAssociationSource).eInverseAdd(this, VOCLModelPackage.CLASSIFIER_ROLE__TARGET, ClassifierRole.class, msgs);
      msgs = basicSetAssociationSource(newAssociationSource, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE, newAssociationSource, newAssociationSource));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getBendpointsFirstWidthList()
  {
    if (bendpointsFirstWidthList == null)
    {
      bendpointsFirstWidthList = new EDataTypeEList(Integer.class, this, VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_WIDTH_LIST);
    }
    return bendpointsFirstWidthList;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getBendpointsFirstHeightList()
  {
    if (bendpointsFirstHeightList == null)
    {
      bendpointsFirstHeightList = new EDataTypeEList(Integer.class, this, VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_HEIGHT_LIST);
    }
    return bendpointsFirstHeightList;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getBendpointsSecondHeightList()
  {
    if (bendpointsSecondHeightList == null)
    {
      bendpointsSecondHeightList = new EDataTypeEList(Integer.class, this, VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_HEIGHT_LIST);
    }
    return bendpointsSecondHeightList;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getBendpointsSecondWidthList()
  {
    if (bendpointsSecondWidthList == null)
    {
      bendpointsSecondWidthList = new EDataTypeEList(Integer.class, this, VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_WIDTH_LIST);
    }
    return bendpointsSecondWidthList;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public byte getRoutingType()
  {
    return routingType;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setRoutingType(byte newRoutingType)
  {
    byte oldRoutingType = routingType;
    routingType = newRoutingType;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__ROUTING_TYPE, oldRoutingType, routingType));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public int getSourceAnchorAt()
  {
    return sourceAnchorAt;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setSourceAnchorAt(int newSourceAnchorAt)
  {
    int oldSourceAnchorAt = sourceAnchorAt;
    sourceAnchorAt = newSourceAnchorAt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__SOURCE_ANCHOR_AT, oldSourceAnchorAt, sourceAnchorAt));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public int getTargetAnchorAt()
  {
    return targetAnchorAt;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setTargetAnchorAt(int newTargetAnchorAt)
  {
    int oldTargetAnchorAt = targetAnchorAt;
    targetAnchorAt = newTargetAnchorAt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__TARGET_ANCHOR_AT, oldTargetAnchorAt, targetAnchorAt));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NavExp getNavExp()
  {
    if (eContainerFeatureID != VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP) return null;
    return (NavExp)eContainer;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setNavExp(NavExp newNavExp)
  {
    if (newNavExp != eContainer || (eContainerFeatureID != VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP && newNavExp != null))
    {
      if (EcoreUtil.isAncestor(this, newNavExp))
        throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
      NotificationChain msgs = null;
      if (eContainer != null)
        msgs = eBasicRemoveFromContainer(msgs);
      if (newNavExp != null)
        msgs = ((InternalEObject)newNavExp).eInverseAdd(this, VOCLModelPackage.NAV_EXP__ASSOCIATION_ROLES, NavExp.class, msgs);
      msgs = eBasicSetContainer((InternalEObject)newNavExp, VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP, newNavExp, newNavExp));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public Label getLabelDecoration()
  {
    return labelDecoration;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetLabelDecoration(Label newLabelDecoration, NotificationChain msgs)
  {
    Label oldLabelDecoration = labelDecoration;
    labelDecoration = newLabelDecoration;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION, oldLabelDecoration, newLabelDecoration);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setLabelDecoration(Label newLabelDecoration)
  {
    if (newLabelDecoration != labelDecoration)
    {
      NotificationChain msgs = null;
      if (labelDecoration != null)
        msgs = ((InternalEObject)labelDecoration).eInverseRemove(this, VOCLModelPackage.LABEL__ASSOCIATION_ROLE, Label.class, msgs);
      if (newLabelDecoration != null)
        msgs = ((InternalEObject)newLabelDecoration).eInverseAdd(this, VOCLModelPackage.LABEL__ASSOCIATION_ROLE, Label.class, msgs);
      msgs = basicSetLabelDecoration(newLabelDecoration, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION, newLabelDecoration, newLabelDecoration));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
          if (associationTarget != null)
            msgs = ((InternalEObject)associationTarget).eInverseRemove(this, VOCLModelPackage.CLASSIFIER_ROLE__SOURCE, ClassifierRole.class, msgs);
          return basicSetAssociationTarget((ClassifierRole)otherEnd, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
          if (associationSource != null)
            msgs = ((InternalEObject)associationSource).eInverseRemove(this, VOCLModelPackage.CLASSIFIER_ROLE__TARGET, ClassifierRole.class, msgs);
          return basicSetAssociationSource((ClassifierRole)otherEnd, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
          if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
          return eBasicSetContainer(otherEnd, VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
          if (labelDecoration != null)
            msgs = ((InternalEObject)labelDecoration).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION, null, msgs);
          return basicSetLabelDecoration((Label)otherEnd, msgs);
        default:
          return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
      }
    }
    if (eContainer != null)
      msgs = eBasicRemoveFromContainer(msgs);
    return eBasicSetContainer(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
          return basicSetAssociationTarget(null, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
          return basicSetAssociationSource(null, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
          return eBasicSetContainer(null, VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP, msgs);
        case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
          return basicSetLabelDecoration(null, msgs);
        default:
          return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
      }
    }
    return eBasicSetContainer(null, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)
  {
    if (eContainerFeatureID >= 0)
    {
      switch (eContainerFeatureID)
      {
        case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
          return eContainer.eInverseRemove(this, VOCLModelPackage.NAV_EXP__ASSOCIATION_ROLES, NavExp.class, msgs);
        default:
          return eDynamicBasicRemoveFromContainer(msgs);
      }
    }
    return eContainer.eInverseRemove(this, EOPPOSITE_FEATURE_BASE - eContainerFeatureID, null, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public Object eGet(EStructuralFeature eFeature, boolean resolve)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.ASSOCIATION_ROLE__NAME:
        return getName();
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
        if (resolve) return getAssociationTarget();
        return basicGetAssociationTarget();
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
        if (resolve) return getAssociationSource();
        return basicGetAssociationSource();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_WIDTH_LIST:
        return getBendpointsFirstWidthList();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_HEIGHT_LIST:
        return getBendpointsFirstHeightList();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_HEIGHT_LIST:
        return getBendpointsSecondHeightList();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_WIDTH_LIST:
        return getBendpointsSecondWidthList();
      case VOCLModelPackage.ASSOCIATION_ROLE__ROUTING_TYPE:
        return new Byte(getRoutingType());
      case VOCLModelPackage.ASSOCIATION_ROLE__SOURCE_ANCHOR_AT:
        return new Integer(getSourceAnchorAt());
      case VOCLModelPackage.ASSOCIATION_ROLE__TARGET_ANCHOR_AT:
        return new Integer(getTargetAnchorAt());
      case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
        return getNavExp();
      case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
        return getLabelDecoration();
    }
    return eDynamicGet(eFeature, resolve);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void eSet(EStructuralFeature eFeature, Object newValue)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.ASSOCIATION_ROLE__NAME:
        setName((String)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
        setAssociationTarget((ClassifierRole)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
        setAssociationSource((ClassifierRole)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_WIDTH_LIST:
        getBendpointsFirstWidthList().clear();
        getBendpointsFirstWidthList().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_HEIGHT_LIST:
        getBendpointsFirstHeightList().clear();
        getBendpointsFirstHeightList().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_HEIGHT_LIST:
        getBendpointsSecondHeightList().clear();
        getBendpointsSecondHeightList().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_WIDTH_LIST:
        getBendpointsSecondWidthList().clear();
        getBendpointsSecondWidthList().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ROUTING_TYPE:
        setRoutingType(((Byte)newValue).byteValue());
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__SOURCE_ANCHOR_AT:
        setSourceAnchorAt(((Integer)newValue).intValue());
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__TARGET_ANCHOR_AT:
        setTargetAnchorAt(((Integer)newValue).intValue());
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
        setNavExp((NavExp)newValue);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
        setLabelDecoration((Label)newValue);
        return;
    }
    eDynamicSet(eFeature, newValue);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void eUnset(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.ASSOCIATION_ROLE__NAME:
        setName(NAME_EDEFAULT);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
        setAssociationTarget((ClassifierRole)null);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
        setAssociationSource((ClassifierRole)null);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_WIDTH_LIST:
        getBendpointsFirstWidthList().clear();
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_HEIGHT_LIST:
        getBendpointsFirstHeightList().clear();
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_HEIGHT_LIST:
        getBendpointsSecondHeightList().clear();
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_WIDTH_LIST:
        getBendpointsSecondWidthList().clear();
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__ROUTING_TYPE:
        setRoutingType(ROUTING_TYPE_EDEFAULT);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__SOURCE_ANCHOR_AT:
        setSourceAnchorAt(SOURCE_ANCHOR_AT_EDEFAULT);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__TARGET_ANCHOR_AT:
        setTargetAnchorAt(TARGET_ANCHOR_AT_EDEFAULT);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
        setNavExp((NavExp)null);
        return;
      case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
        setLabelDecoration((Label)null);
        return;
    }
    eDynamicUnset(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public boolean eIsSet(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.ASSOCIATION_ROLE__NAME:
        return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET:
        return associationTarget != null;
      case VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE:
        return associationSource != null;
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_WIDTH_LIST:
        return bendpointsFirstWidthList != null && !bendpointsFirstWidthList.isEmpty();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_FIRST_HEIGHT_LIST:
        return bendpointsFirstHeightList != null && !bendpointsFirstHeightList.isEmpty();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_HEIGHT_LIST:
        return bendpointsSecondHeightList != null && !bendpointsSecondHeightList.isEmpty();
      case VOCLModelPackage.ASSOCIATION_ROLE__BENDPOINTS_SECOND_WIDTH_LIST:
        return bendpointsSecondWidthList != null && !bendpointsSecondWidthList.isEmpty();
      case VOCLModelPackage.ASSOCIATION_ROLE__ROUTING_TYPE:
        return routingType != ROUTING_TYPE_EDEFAULT;
      case VOCLModelPackage.ASSOCIATION_ROLE__SOURCE_ANCHOR_AT:
        return sourceAnchorAt != SOURCE_ANCHOR_AT_EDEFAULT;
      case VOCLModelPackage.ASSOCIATION_ROLE__TARGET_ANCHOR_AT:
        return targetAnchorAt != TARGET_ANCHOR_AT_EDEFAULT;
      case VOCLModelPackage.ASSOCIATION_ROLE__NAV_EXP:
        return getNavExp() != null;
      case VOCLModelPackage.ASSOCIATION_ROLE__LABEL_DECORATION:
        return labelDecoration != null;
    }
    return eDynamicIsSet(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (BendpointsFirstWidthList: ");
    result.append(bendpointsFirstWidthList);
    result.append(", BendpointsFirstHeightList: ");
    result.append(bendpointsFirstHeightList);
    result.append(", BendpointsSecondHeightList: ");
    result.append(bendpointsSecondHeightList);
    result.append(", BendpointsSecondWidthList: ");
    result.append(bendpointsSecondWidthList);
    result.append(", routingType: ");
    result.append(routingType);
    result.append(", sourceAnchorAt: ");
    result.append(sourceAnchorAt);
    result.append(", targetAnchorAt: ");
    result.append(targetAnchorAt);
    result.append(')');
    return result.toString();
  }

} //AssociationRoleImpl
